package com.qmth.exam.reserve.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.exam.reserve.bean.applytask.TimePeriodReq;
import com.qmth.exam.reserve.bean.timeperiod.TimePeriodExamSiteBean;
import com.qmth.exam.reserve.entity.TimePeriodEntity;

public interface TimePeriodService extends IService<TimePeriodEntity> {

    void saveTimePeriod(Long userId, Long id, List<TimePeriodReq> timeList);

    List<String> listTimePeriod(Long taskId);

    List<String> listTimePeriodDate(Long taskId);

    List<TimePeriodExamSiteBean> listTimePeriodByExamSiteId(Long taskId, Long examSiteId);

    List<TimePeriodExamSiteBean> listTimePeriodByTask(Long taskId);

    List<TimePeriodExamSiteBean> listTimePeriodByExamRoomId(Long taskId, Long examRoomId);
}
